%define _disable_ld_no_undefined 1

%define	name	compiz
%define	version	0.9.7.8
%define	rel		1
%define	git		0

%define	major	0
%define	libname	%mklibname %{name} %major
%define	libname_devel %mklibname -d %{name}

%if %{git}
%define srcname %{name}-%{git}.tar.xz
%define distname %{name}-%{git}
%define release %mkrel %{rel}.%{git}
%else
%define srcname %{name}-%{version}.tar.bz2
%define distname %{name}-%{version}
%define release %mkrel %{rel}
%endif

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	OpenGL composite manager for Xgl and AIGLX
Group:		System/X11
URL:		http://www.compiz.org/
License:	GPLv2+ and LGPLv2+ and MIT

# get source from launchpad
# bzr branch lp:compiz-core
# pushd compiz-core
# bzr export --format=tar ../compiz-bzrcommit_id.tar
# popd
# xz -z -e compiz-bzrcommit_id.tar

Source0:	%{srcname}
Source1:	compiz.defaults
Source2:	compiz-window-decorator
Source3:	%{name}-fusion
Source4:	%{name}-fusion.defaults

# Mageia Patches

# Mandriva Patches
# git format-patch --start-number 500 mdv-0.8.0-cherry-picks..mdv-0.8.0-patches
Patch501:	0501-Add-Mageia-graphic-to-the-top-of-the-cube.patch
Patch502:	0502-Use-our-compiz-window-decorator-script-as-the-defaul.patch
Patch503:	0503-Do-not-put-window-decorations-on-KDE-screensaver.patch


BuildRequires:		cmake
BuildRequires:		intltool

BuildRequires:		pkgconfig(gconf-2.0)
BuildRequires:		pkgconfig(libwnck-1.0)
BuildRequires:		pkgconfig(glibmm-2.4)
BuildRequires:		boost-devel
BuildRequires:		kdebase4-workspace-devel

BuildRequires:		pkgconfig(gnome-keybindings)
BuildRequires:		pkgconfig(libxslt)
BuildRequires:		pkgconfig(librsvg-2.0)
BuildRequires:		pkgconfig(gnome-desktop-2.0)
BuildRequires:		pkgconfig(libmetacity-private)

Requires(post):	GConf2
Requires(preun):	GConf2

Requires:			%{libname} = %{version}-%{release}
Requires:			compositing-wm-common
Requires:			compiz-decorator = %{version}-%{release}

Suggests:			ccsm
Suggests:			compiz-plugins-main
Suggests:			compiz-plugins-extra

Provides:			compositing-wm

# Compiz-bcop is now provided by compiz so rename it
%rename				compiz-bcop

# Compiz-fusion has been merged
Obsoletes:			compiz-fusion
Provides:			compiz-fusion

%description
Compiz is an OpenGL compositing manager, which means that it enhances 
the overall user interaction by adding fancy effects to your windows, 
from drop shadows to desktop effects like the Desktop Cube or the Expo view.

Compiz can also be a window manager, which means that it is the software 
between you and your desktop apps. It enables you to move or resize windows, 
to switch workspaces, to switch windows easily (using alt-tab or so), and so on.


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING COPYING.GPL COPYING.LGPL COPYING.MIT INSTALL NEWS README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-window-decorator
%{_bindir}/%{name}-fusion

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib*.so
# this files go in another package, the same for schema
%exclude %{_libdir}/%{name}/libannotate.so
%exclude %{_libdir}/%{name}/libgnomecompat.so
%exclude %{_libdir}/%{name}/libkde.so

%{_sysconfdir}/gconf/schemas/%{name}-*.schemas
%exclude %{_sysconfdir}/gconf/schemas/%{name}-annotate.schemas
%exclude %{_sysconfdir}/gconf/schemas/%{name}-gnomecompat.schemas
%exclude %{_sysconfdir}/gconf/schemas/%{name}-kde.schemas

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.xml
%exclude %{_datadir}/%{name}/annotate.xml
%exclude %{_datadir}/%{name}/gnomecompat.xml
%exclude %{_datadir}/%{name}/kde.xml
%{_datadir}/compositing-wm/%{name}.defaults
%{_datadir}/compositing-wm/%{name}-fusion.defaults
%dir %{_datadir}/%{name}/cube
%dir %{_datadir}/%{name}/cube/images
%{_datadir}/%{name}/cube/images/*.png
%{_datadir}/applications/%{name}.desktop

#----------------------------------------------------------------------------

%package decorator-gtk
Summary:	GTK window decorator for compiz
Group:		System/X11

Provides:	compiz-decorator = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}


%description decorator-gtk
This package provides a GTK window decorator for the compiz OpenGL
compositing manager.

%files decorator-gtk
%{_bindir}/gtk-window-decorator
%{_sysconfdir}/gconf/schemas/gwd.schemas
%{_libdir}/%{name}/libannotate.so
%{_libdir}/%{name}/libgnomecompat.so
%{_datadir}/%{name}/annotate.xml
%{_datadir}/%{name}/gnomecompat.xml
%{_sysconfdir}/gconf/schemas/%{name}-annotate.schemas
%{_sysconfdir}/gconf/schemas/%{name}-gnomecompat.schemas

#----------------------------------------------------------------------------

%package decorator-kde4
Summary:	KDE4 window decorator for compiz
Group:		System/X11

Provides:	compiz-decorator = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description decorator-kde4
This package provides a KDE4 window decorator for the compiz OpenGL
compositing manager.

%files decorator-kde4
%{_bindir}/kde4-window-decorator
%{_libdir}/%{name}/libkde.so
%{_datadir}/%{name}/kde.xml
%{_sysconfdir}/gconf/schemas/%{name}-kde.schemas

#----------------------------------------------------------------------------

%package -n %libname
Summary:	Shared libraries for compiz
Group:		System/X11


%description -n %libname
This package provides shared libraries for compiz.

%files -n %libname
%{_libdir}/libdecoration.so.%{major}*
%{_libdir}/lib*_core.so*

#----------------------------------------------------------------------------

%package -n %libname_devel
Summary:	Development files for compiz
Group:		Development/X11

Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel

Requires:	%{libname} = %{version}-%{release}
Requires:  %{name}	= %{version}-%{release}
Requires:	png-devel
Requires:	libxcomposite-devel
Requires:	libxdamage-devel
Requires:	libxfixes-devel
Requires:	libxrandr-devel
Requires:	libxinerama-devel
Requires:	libice-devel
Requires:	libsm-devel
Requires:	startup-notification-devel
Requires:	GL-devel
Requires:	libxslt-devel
Requires:	libxslt-proc
Requires:	glib2-devel

%description -n %libname_devel
This package provides development files for compiz.

%files -n %libname_devel
%{_includedir}/%{name}/*
%{_libdir}/libdecoration.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/pkgconfig/libdecoration.pc
%{_datadir}/cmake/Modules/*.cmake
%{_datadir}/%{name}/cmake
%{_datadir}/%{name}/xslt/*.xslt

#----------------------------------------------------------------------------

%prep
%setup -q -n %{distname}

%apply_patches


%build
%cmake 	-DCOMPIZ_PACKAGING_ENABLED=ON \
		-DCOMPIZ_BUILD_WITH_RPATH=OFF \
		-DCOMPIZ_DISABLE_SCHEMAS_INSTALL=ON \
		-DCOMPIZ_INSTALL_GCONF_SCHEMA_DIR=%{_sysconfdir}/gconf/schemas

%make


%install
%__rm -rf %{buildroot}
pushd build
%makeinstall_std DESTDIR=%{buildroot}

# Borrowed from fedora
# This should work, but is buggy upstream:
# make DESTDIR=$RPM_BUILD_ROOT findcompiz_install
# So we do this instead:
mkdir -p %{buildroot}%{_datadir}/cmake/Modules
%__cmake -E copy ../cmake/FindCompiz.cmake %{buildroot}%{_datadir}/cmake/Modules
popd

%__install -m755 %{SOURCE2} %{buildroot}%{_bindir}/%{name}-window-decorator
%__install -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/compositing-wm/%{name}.defaults
%__install -m755 %{SOURCE3} %{buildroot}%{_bindir}/%{name}-fusion
%__install -m644 %{SOURCE4} %{buildroot}%{_datadir}/compositing-wm/%{name}-fusion.defaults


find %{buildroot} -name *.la -exec rm {} \;

# Old, unneeded schemas
%__rm -f %{buildroot}%{_sysconfdir}/gconf/schemas/compiz-kconfig.schemas
%find_lang %{name}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%preun decorator-gtk
%preun_uninstall_gconf_schemas gwd


#----------------------------------------------------------------------------


%changelog

* Thu Apr 26 2012 julien <julien> 0.9.7.8-1.mga2
+ Revision: 233365
- new version 0.9.7.8

* Fri Apr 13 2012 julien <julien> 0.9.7.6-2.mga2
+ Revision: 230724
- add sane default pref for compiz-fusion (not very pretty hack)
  	should fix #5190: decoration not applied when compiz-fusion
  	is started with a fresh profile

* Fri Apr 06 2012 julien <julien> 0.9.7.6-1.mga2
+ Revision: 229375
- new version 0.9.7.6

* Sun Apr 01 2012 julien <julien> 0.9.7.4-1.mga2
+ Revision: 227682
- update to new version 0.9.7.4

* Fri Mar 23 2012 julien <julien> 0.9.7.2-1.mga2
+ Revision: 225824
- update to 0.9.7.2

* Sat Mar 03 2012 julien <julien> 0.9.7.0-1.mga2
+ Revision: 217397
- update to final 0.9.7.0

* Thu Feb 23 2012 julien <julien> 0.9.7-0.bzr3017.mga2
+ Revision: 212684
- update to latest bzr
- clean BR
- replace description with a more meaningful one

* Sun Feb 05 2012 julien <julien> 0.9.7-0.bzr2979.mga2
+ Revision: 204813
- update to prerelease 0.9.7
- switch to launchpad as source
- drop upstreamed patches

* Sun Jan 22 2012 julien <julien> 0.9.5.92.1-5.git.20111101.mga2
+ Revision: 199860
- fix build of KDE decorator with new gcc

* Wed Nov 30 2011 julien <julien> 0.9.5.92.1-4.git.20111101.mga2
+ Revision: 174584
- add a provides on compiz-fusion
- update to latest git (hopefully, less bugs...)

* Sun Nov 27 2011 julien <julien> 0.9.5.92.1-3.mga2
+ Revision: 172893
- merge compiz-fusion
- add suggests to ccsm and plugins
- drop kstylerc.xinit, very old file used with kde3

* Mon Nov 07 2011 mikala <mikala> 0.9.5.92.1-2.mga2
+ Revision: 164613
- Add compiz as requires on -devel (some plugins available in compiz packages are needed to build others plugins)
- remove defattr()

* Sun Nov 06 2011 julien <julien> 0.9.5.92.1-1.mga2
+ Revision: 164364
- limit compilation to 2 jobs to be safe
- clean some warnings
- new version 0.9.5.92.1
- rediff patch 0503 0502 0501
- add patch from fedora for keybinding

* Wed Sep 14 2011 fwang <fwang> 0.8.8-2.mga2
+ Revision: 143178
- drop .la files

  + ahmad <ahmad>
    - Replace BR libgnome-window-settings-devel with pkgconfig(gnome-keybindings)

* Sat Jun 25 2011 julien <julien> 0.8.8-1.mga2
+ Revision: 113657
- update to 0.8.8
 - clean up specfile
 - remove old Obsolete
 - drop patchs merged upstream
 - move static libs to devel package
 - add condition to ease backport

  + dmorgan <dmorgan>
    - Fix file list
    - Rebuild against latest gnome
    - fix up the GNOME session stuff so it actually works ( from fedora )
    - New version 0.9.4
    - New version 0.9.4
      Remove merged patches
    - Fix build arches
    - Fix file list

  + mikala <mikala>
    - Update patch0501 to use mageia-top.png & not mandriva-top.png

* Mon Feb 28 2011 eandry <eandry> 0.8.6-3.mga1
+ Revision: 61777
- drop old conditionnal
- drop buildroot

  + colin <colin>
    - imported package compiz

